﻿using System.ComponentModel;

namespace HealthMonitor.Util.QueryObjects
{
	/// <summary>
	/// 判断关系
	/// </summary>
	public enum QueryOperatorEnum
	{
		/// <summary>
		/// Like
		/// </summary>
		[Description("Like")]
		Contains = 0,
		/// <summary>
		/// 等于
		/// </summary>
		[Description("等于")]
		Equal,
		/// <summary>
		/// 不等于
		/// </summary>
		[Description("不等于")]
		NotEqual,
		/// <summary>
		/// 大于
		/// </summary>
		[Description("大于")]
		Greater,
		/// <summary>
		/// 大于等于
		/// </summary>
		[Description("大于等于")]
		GreaterEqual,
		/// <summary>
		/// 小于
		/// </summary>
		[Description("小于")]
		Less,
		/// <summary>
		/// 小于等于
		/// </summary>
		[Description("小于等于")]
		LessEqual,
		/// <summary>
		/// In 
		/// </summary>
		[Description("In")]
		In,
		/// <summary>
		/// Between
		/// </summary>
		[Description("Between（只支持数字类型）")]
		Between
	}
}
